--==================
-- Persia
--==================
-- Pairidaeza gets yields for other district types as well
INSERT INTO Adjacency_YieldChanges (ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) VALUES
    ('BBG_PAIRIDAEZA_CAMPUSADJACENCY', 'Placeholder', 'YIELD_CULTURE', 1, 1, 'DISTRICT_CAMPUS'),
    ('BBG_PAIRIDAEZA_INDUSTRIALADJACENCY', 'Placeholder', 'YIELD_GOLD', 1, 1, 'DISTRICT_INDUSTRIAL_ZONE'),
    ('BBG_PAIRIDAEZA_HARBORADJACENCY', 'Placeholder', 'YIELD_GOLD', 1, 1, 'DISTRICT_HARBOR'),
    ('BBG_PAIRIDAEZA_CITYCENTERADJACENCY', 'Placeholder', 'YIELD_CULTURE', 1, 1, 'DISTRICT_CITY_CENTER');
INSERT INTO Improvement_Adjacencies (ImprovementType, YieldChangeId) VALUES
    ('IMPROVEMENT_PAIRIDAEZA', 'BBG_PAIRIDAEZA_CAMPUSADJACENCY'),
    ('IMPROVEMENT_PAIRIDAEZA', 'BBG_PAIRIDAEZA_INDUSTRIALADJACENCY'),
    ('IMPROVEMENT_PAIRIDAEZA', 'BBG_PAIRIDAEZA_HARBORADJACENCY'),
    ('IMPROVEMENT_PAIRIDAEZA', 'BBG_PAIRIDAEZA_CITYCENTERADJACENCY');
--17/04/23 Pairidaeza gives +1 housing
UPDATE Improvements SET Housing=2 WHERE ImprovementType='IMPROVEMENT_PAIRIDAEZA';
UPDATE Improvements SET TilesRequired=2 WHERE ImprovementType='IMPROVEMENT_PAIRIDAEZA';

-- Immortals to 36 to match swordsman up.
-- 16/04/23 +3 to compensate loss of support bonus
-- 15/06/23 Reverted
UPDATE Units SET Combat=36 WHERE UnitType='UNIT_PERSIAN_IMMORTAL';

-- 15/06/23 Immortals get +3 attack
-- INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
--     ('BBG_IMMORTAL_ATTACK_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'UNIT_STRONG_WHEN_ATTACKING_REQUIREMENTS');
-- INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
--     ('BBG_IMMORTAL_ATTACK_BONUS', 'Amount', 3);
-- INSERT INTO Types (Type, Kind) VALUES
--     ('BBG_ABILITY_IMMORTAL_ATTACK_BONUS', 'KIND_ABILITY');
-- INSERT INTO TypeTags (Type, Tag) VALUES
--     ('BBG_ABILITY_IMMORTAL_ATTACK_BONUS', 'CLASS_IMMORTAL'),
--     ('UNIT_PERSIAN_IMMORTAL', 'CLASS_IMMORTAL');
-- INSERT INTO UnitAbilities (UnitAbilityType, Name, Description) VALUES
--     ('BBG_ABILITY_IMMORTAL_ATTACK_BONUS', 'LOC_BBG_ABILITY_IMMORTAL_ATTACK_BONUS_NAME', 'LOC_BBG_ABILITY_IMMORTAL_ATTACK_BONUS_DESC');
-- INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES
--     ('BBG_ABILITY_IMMORTAL_ATTACK_BONUS', 'BBG_IMMORTAL_ATTACK_BONUS');
-- INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES
--     ('BBG_IMMORTAL_ATTACK_BONUS', 'Preview', 'LOC_BBG_ABILITY_IMMORTAL_ATTACK_BONUS_DESC');


--internal trades routes scale on gold 
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('TRAIT_SATRAPIES_INTERNAL_TRADE_GOLD_AT_BANKING', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_DOMESTIC', 'BBG_UTILS_PLAYER_HAS_TECH_BANKING'),
    ('TRAIT_SATRAPIES_INTERNAL_TRADE_GOLD_AT_ECONOMICS', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_DOMESTIC', 'BBG_UTILS_PLAYER_HAS_TECH_ECONOMICS');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('TRAIT_SATRAPIES_INTERNAL_TRADE_GOLD_AT_BANKING', 'YieldType', 'YIELD_GOLD'),
    ('TRAIT_SATRAPIES_INTERNAL_TRADE_GOLD_AT_BANKING', 'Amount', '2'),
    ('TRAIT_SATRAPIES_INTERNAL_TRADE_GOLD_AT_ECONOMICS', 'YieldType', 'YIELD_GOLD'),
    ('TRAIT_SATRAPIES_INTERNAL_TRADE_GOLD_AT_ECONOMICS', 'Amount', '2');
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
    ('TRAIT_CIVILIZATION_SATRAPIES', 'TRAIT_SATRAPIES_INTERNAL_TRADE_GOLD_AT_BANKING'),
    ('TRAIT_CIVILIZATION_SATRAPIES', 'TRAIT_SATRAPIES_INTERNAL_TRADE_GOLD_AT_ECONOMICS');

--==================
-- Cyrus
--==================
--internal trades routes scale on culture
--14/04/23 moved to Cyrus only
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('TRAIT_CYRUS_INTERNAL_TRADE_CULTURE_AT_MEDIEVAL_FAIRES', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_DOMESTIC', 'BBG_UTILS_PLAYER_HAS_CIVIC_MEDIEVAL_FAIRES_REQSET'),
    ('TRAIT_CYRUS_INTERNAL_TRADE_CULTURE_AT_URBANIZATION', 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_DOMESTIC', 'BBG_UTILS_PLAYER_HAS_CIVIC_URBANIZATION_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('TRAIT_CYRUS_INTERNAL_TRADE_CULTURE_AT_MEDIEVAL_FAIRES', 'YieldType', 'YIELD_CULTURE'),
    ('TRAIT_CYRUS_INTERNAL_TRADE_CULTURE_AT_MEDIEVAL_FAIRES', 'Amount', '2'),
    ('TRAIT_CYRUS_INTERNAL_TRADE_CULTURE_AT_URBANIZATION', 'YieldType', 'YIELD_CULTURE'),
    ('TRAIT_CYRUS_INTERNAL_TRADE_CULTURE_AT_URBANIZATION', 'Amount', '2');
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
    ('TRAIT_LEADER_FALL_BABYLON', 'TRAIT_CYRUS_INTERNAL_TRADE_CULTURE_AT_MEDIEVAL_FAIRES'),
    ('TRAIT_LEADER_FALL_BABYLON', 'TRAIT_CYRUS_INTERNAL_TRADE_CULTURE_AT_URBANIZATION');
UPDATE TraitModifiers SET TraitType='TRAIT_LEADER_FALL_BABYLON' WHERE ModifierId='TRAIT_SATRAPIES_INTERNAL_TRADE_CULTURE';

-- +3 combat when attacking
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('TRAIT_FALLBABYLON_COMBAT_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_STRENGTH', 'ATTACKING_REQUIREMENT_SET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('TRAIT_FALLBABYLON_COMBAT_BONUS', 'Amount', '3');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES
    ('TRAIT_FALLBABYLON_COMBAT_BONUS', 'Preview', 'LOC_TRAIT_FALLBABYLON_COMBAT_BONUS_DESCRIPTION');
INSERT OR IGNORE INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('ATTACKING_REQUIREMENT_SET', 'REQUIREMENTSET_TEST_ALL');
INSERT OR IGNORE INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
    ('ATTACKING_REQUIREMENT_SET', 'PLAYER_IS_ATTACKER_REQUIREMENTS');
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
    ('TRAIT_LEADER_FALL_BABYLON', 'TRAIT_FALLBABYLON_COMBAT_BONUS');

-- Cyrus surprise war movement bonus nullified
UPDATE ModifierArguments SET Value='0' WHERE ModifierId='TRAIT_FALLBABYLON_SURPRISE_MOVEMENT' and Name='Amount';
