------------------------------------------------------------------------------
-- FILE: new_bbg_catherine_magnificient.sql
-- AUTHOR: iElden, D. / Jack The Narrator
-- PURPOSE: Database leader related modifications by new BBG
------------------------------------------------------------------------------
--==============================================================================================
--******  CATHERINE THE MAGNIFICIENT(LY OPed)  ******
--==============================================================================================

-- Project need medieval faires
UPDATE Modifiers SET SubjectRequirementSetId='BBG_UTILS_PLAYER_HAS_CIVIC_MEDIEVAL_FAIRES_REQSET' WHERE ModifierType='MODIFIER_PLAYER_ALLOW_PROJECT_CATHERINE';
-- Project no longer give flat tourism : give 3% tourism stackable instead
DELETE FROM ProjectCompletionModifiers WHERE ModifierId='PROJECT_COMPLETION_GRANT_TOURISM_BASED_ON_EXCESS_LUXURIES';
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES
    ('BBG_MAGNIFICENCE_PROJECT_TOURISM', 'MODIFIER_PLAYER_ADJUST_TOURISM');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_PROJECT_TOURISM', 'Amount', 3);
INSERT INTO ProjectCompletionModifiers (ProjectType, ModifierId) VALUES
    ('PROJECT_COURT_FESTIVAL', 'BBG_MAGNIFICENCE_PROJECT_TOURISM');



-- Culture for every improvement on resource
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_TILE_HAS_ANY_IMPROVEMENT_ON_STRAT_CRAFTSMANSHIP_REQSET', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
    ('BBG_TILE_HAS_ANY_IMPROVEMENT_ON_STRAT_CRAFTSMANSHIP_REQSET', 'REQUIRES_PLOT_HAS_IMPROVED_STRATEGIC'),
    ('BBG_TILE_HAS_ANY_IMPROVEMENT_ON_STRAT_CRAFTSMANSHIP_REQSET', 'BBG_UTILS_PLAYER_HAS_CIVIC_CRAFTSMANSHIP_REQUIREMENT');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_STRAT', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_TILE_HAS_ANY_IMPROVEMENT_ON_STRAT_CRAFTSMANSHIP_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_STRAT', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_STRAT', 'Amount', 1);

INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_TILE_HAS_ANY_IMPROVEMENT_ON_LUX_CRAFTSMANSHIP_REQSET', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
    ('BBG_TILE_HAS_ANY_IMPROVEMENT_ON_LUX_CRAFTSMANSHIP_REQSET', 'BBG_REQUIRES_PLOT_HAS_IMPROVED_LUXURY'),
    ('BBG_TILE_HAS_ANY_IMPROVEMENT_ON_LUX_CRAFTSMANSHIP_REQSET', 'BBG_UTILS_PLAYER_HAS_CIVIC_CRAFTSMANSHIP_REQUIREMENT');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_LUX', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_TILE_HAS_ANY_IMPROVEMENT_ON_LUX_CRAFTSMANSHIP_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_LUX', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_LUX', 'Amount', 1);

INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_TILE_HAS_ANY_IMPROVEMENT_ON_BONUS_CRAFTSMANSHIP_REQSET', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
    ('BBG_TILE_HAS_ANY_IMPROVEMENT_ON_BONUS_CRAFTSMANSHIP_REQSET', 'BBG_REQUIRES_PLOT_HAS_IMPROVED_BONUS'),
    ('BBG_TILE_HAS_ANY_IMPROVEMENT_ON_BONUS_CRAFTSMANSHIP_REQSET', 'BBG_UTILS_PLAYER_HAS_CIVIC_CRAFTSMANSHIP_REQUIREMENT');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_BONUS', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_TILE_HAS_ANY_IMPROVEMENT_ON_BONUS_CRAFTSMANSHIP_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_BONUS', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_BONUS', 'Amount', 1);



-- Culture for strategic improvement on resource next to chateau
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_STRAT_NEXT_TO_CHATEAU_REQSET', 'REQUIREMENTSET_TEST_ALL'); 
INSERT INTO RequirementSetRequirements (RequirementSetId , RequirementId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_STRAT_NEXT_TO_CHATEAU_REQSET', 'REQUIRES_PLOT_HAS_IMPROVED_STRATEGIC'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_STRAT_NEXT_TO_CHATEAU_REQSET', 'REQUIRES_PLOT_ADJACENT_CHATEAU'); 
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_STRAT_IMPROVEMENT_NEXT_TO_CHATEAU', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_STRAT_NEXT_TO_CHATEAU_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_STRAT_IMPROVEMENT_NEXT_TO_CHATEAU', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_STRAT_IMPROVEMENT_NEXT_TO_CHATEAU', 'Amount', 1);
-- Culture for bonus improvement on resource next to chateau
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_BONUS_NEXT_TO_CHATEAU_REQSET', 'REQUIREMENTSET_TEST_ALL'); 
INSERT INTO RequirementSetRequirements (RequirementSetId , RequirementId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_BONUS_NEXT_TO_CHATEAU_REQSET', 'REQUIRES_PLOT_ADJACENT_CHATEAU'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_BONUS_NEXT_TO_CHATEAU_REQSET', 'BBG_REQUIRES_PLOT_HAS_IMPROVED_BONUS'); 
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_BONUS_IMPROVEMENT_NEXT_TO_CHATEAU', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_BONUS_NEXT_TO_CHATEAU_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_BONUS_IMPROVEMENT_NEXT_TO_CHATEAU', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_BONUS_IMPROVEMENT_NEXT_TO_CHATEAU', 'Amount', 1);
-- Culture for luxury improvement on resource next to chateau
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_LUX_NEXT_TO_CHATEAU_REQSET', 'REQUIREMENTSET_TEST_ALL'); 
INSERT INTO RequirementSetRequirements (RequirementSetId , RequirementId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_LUX_NEXT_TO_CHATEAU_REQSET', 'BBG_REQUIRES_PLOT_HAS_IMPROVED_LUXURY'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_LUX_NEXT_TO_CHATEAU_REQSET', 'REQUIRES_PLOT_ADJACENT_CHATEAU'); 
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_LUX_IMPROVEMENT_NEXT_TO_CHATEAU', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_LUX_NEXT_TO_CHATEAU_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_LUX_IMPROVEMENT_NEXT_TO_CHATEAU', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_LUX_IMPROVEMENT_NEXT_TO_CHATEAU', 'Amount', 1);
-- Culture for every improvement on strat resource next to theater
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_STRAT_RESOURCE_NEXT_TO_THEATER_REQSET', 'REQUIREMENTSET_TEST_ALL'); 
INSERT INTO RequirementSetRequirements (RequirementSetId , RequirementId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_STRAT_RESOURCE_NEXT_TO_THEATER_REQSET', 'REQUIRES_PLOT_HAS_IMPROVED_STRATEGIC'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_STRAT_RESOURCE_NEXT_TO_THEATER_REQSET', 'REQUIRES_PLOT_ADJACENT_THEATER_SQUARE'); 
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_STRAT_IMPROVEMENT_NEXT_TO_THEATER', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_STRAT_RESOURCE_NEXT_TO_THEATER_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_STRAT_IMPROVEMENT_NEXT_TO_THEATER', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_STRAT_IMPROVEMENT_NEXT_TO_THEATER', 'Amount', 1);
-- Culture for every improvement on lux resource next to theater
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_LUX_RESOURCE_NEXT_TO_THEATER_REQSET', 'REQUIREMENTSET_TEST_ALL'); 
INSERT INTO RequirementSetRequirements (RequirementSetId , RequirementId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_LUX_RESOURCE_NEXT_TO_THEATER_REQSET', 'BBG_REQUIRES_PLOT_HAS_IMPROVED_LUXURY'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_LUX_RESOURCE_NEXT_TO_THEATER_REQSET', 'REQUIRES_PLOT_ADJACENT_THEATER_SQUARE'); 
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_LUX_IMPROVEMENT_NEXT_TO_THEATER', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_LUX_RESOURCE_NEXT_TO_THEATER_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_LUX_IMPROVEMENT_NEXT_TO_THEATER', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_LUX_IMPROVEMENT_NEXT_TO_THEATER', 'Amount', 1);
-- Culture for every improvement on bonus resource next to theater
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_BONUS_RESOURCE_NEXT_TO_THEATER_REQSET', 'REQUIREMENTSET_TEST_ALL'); 
INSERT INTO RequirementSetRequirements (RequirementSetId , RequirementId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_BONUS_RESOURCE_NEXT_TO_THEATER_REQSET', 'BBG_REQUIRES_PLOT_HAS_IMPROVED_BONUS'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_BONUS_RESOURCE_NEXT_TO_THEATER_REQSET', 'REQUIRES_PLOT_ADJACENT_THEATER_SQUARE'); 
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_BONUS_IMPROVEMENT_NEXT_TO_THEATER', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 'BBG_MAGNIFICENCE_CULTURE_ON_IMPROVED_BONUS_RESOURCE_NEXT_TO_THEATER_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_MAGNIFICENCE_CULTURE_ON_BONUS_IMPROVEMENT_NEXT_TO_THEATER', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_MAGNIFICENCE_CULTURE_ON_BONUS_IMPROVEMENT_NEXT_TO_THEATER', 'Amount', 1);

INSERT INTO TraitModifiers(TraitType, ModifierId) VALUES
    ('TRAIT_LEADER_MAGNIFICENCES', 'BBG_MAGNIFICENCE_CULTURE_ON_STRAT'),
    ('TRAIT_LEADER_MAGNIFICENCES', 'BBG_MAGNIFICENCE_CULTURE_ON_LUX'),
    ('TRAIT_LEADER_MAGNIFICENCES', 'BBG_MAGNIFICENCE_CULTURE_ON_BONUS'),
    ('TRAIT_LEADER_MAGNIFICENCES', 'BBG_MAGNIFICENCE_CULTURE_ON_STRAT_IMPROVEMENT_NEXT_TO_CHATEAU'),
    ('TRAIT_LEADER_MAGNIFICENCES', 'BBG_MAGNIFICENCE_CULTURE_ON_BONUS_IMPROVEMENT_NEXT_TO_CHATEAU'),
    ('TRAIT_LEADER_MAGNIFICENCES', 'BBG_MAGNIFICENCE_CULTURE_ON_LUX_IMPROVEMENT_NEXT_TO_CHATEAU'),
    ('TRAIT_LEADER_MAGNIFICENCES', 'BBG_MAGNIFICENCE_CULTURE_ON_STRAT_IMPROVEMENT_NEXT_TO_THEATER'),
    ('TRAIT_LEADER_MAGNIFICENCES', 'BBG_MAGNIFICENCE_CULTURE_ON_BONUS_IMPROVEMENT_NEXT_TO_THEATER'),
    ('TRAIT_LEADER_MAGNIFICENCES', 'BBG_MAGNIFICENCE_CULTURE_ON_LUX_IMPROVEMENT_NEXT_TO_THEATER');
DELETE FROM TraitModifiers WHERE ModifierId='MAGNIFICENCES_CULTURE_LUXURY_ADJACENT_TO_THEATER_SQUARE_OR_CHATEAU';