--==================
-- India (Chandra)
--==================
DELETE FROM TraitModifiers WHERE TraitType='TRAIT_LEADER_ARTHASHASTRA';

INSERT INTO RequirementSets(RequirementSetId , RequirementSetType) VALUES
    ('BBG_PLAYER_IS_CHANDRAGUPTA', 'REQUIREMENTSET_TEST_ANY');
INSERT INTO RequirementSetRequirements(RequirementSetId , RequirementId) VALUES
    ('BBG_PLAYER_IS_CHANDRAGUPTA', 'BBG_PLAYER_IS_CHANDRAGUPTA_REQUIREMENT');
INSERT INTO Requirements(RequirementId , RequirementType) VALUES
    ('BBG_PLAYER_IS_CHANDRAGUPTA_REQUIREMENT' , 'REQUIREMENT_PLAYER_LEADER_TYPE_MATCHES');
INSERT INTO RequirementArguments(RequirementId , Name, Value) VALUES
    ('BBG_PLAYER_IS_CHANDRAGUPTA_REQUIREMENT' , 'LeaderType', 'LEADER_CHANDRAGUPTA');
    
--15/12/22 Chandra holy sites now give general points
--11/09/23 Removed
--24/12/23 added back to shrine
--27/03/24 Chandra temples now give general points
INSERT INTO Requirements(RequirementId, RequirementType) VALUES
    ('BBG_BUILDING_IS_TEMPLE_REQ', 'REQUIREMENT_CITY_HAS_BUILDING');
INSERT INTO RequirementArguments(RequirementId, Name, Value) VALUES
    ('BBG_BUILDING_IS_TEMPLE_REQ', 'BuildingType', 'BUILDING_TEMPLE');
INSERT INTO RequirementSets(RequirementSetId, RequirementSetType) VALUES
    ('BBG_BUILDING_IS_TEMPLE_REQSET', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSetRequirements(RequirementSetId, RequirementId) VALUES
    ('BBG_BUILDING_IS_TEMPLE_REQSET', 'BBG_BUILDING_IS_TEMPLE_REQ');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_CHANDRA_GENERAL_POINT_WITH_TEMPLE', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', NULL),
    ('BBG_CHANDRA_GENERAL_POINT_WITH_TEMPLE_MODIFIER', 'MODIFIER_SINGLE_CITY_ADJUST_GREAT_PERSON_POINT', 'BBG_BUILDING_IS_TEMPLE_REQSET');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_CHANDRA_GENERAL_POINT_WITH_TEMPLE', 'ModifierId', 'BBG_CHANDRA_GENERAL_POINT_WITH_TEMPLE_MODIFIER'),
    ('BBG_CHANDRA_GENERAL_POINT_WITH_TEMPLE_MODIFIER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_GENERAL'),
    ('BBG_CHANDRA_GENERAL_POINT_WITH_TEMPLE_MODIFIER', 'Amount', 1);
INSERT INTO TraitModifiers (TraitType , ModifierId) VALUES
    ('TRAIT_LEADER_ARTHASHASTRA' , 'BBG_CHANDRA_GENERAL_POINT_WITH_TEMPLE');


-- Bonus per building of HS
INSERT INTO Types(Type, Kind) VALUES
    ('BBG_CHANDRA_MOVEMENT_ABILITY', 'KIND_ABILITY'),
    ('BBG_CHANDRA_SIGHT_ABILITY', 'KIND_ABILITY'),
    ('BBG_CHANDRA_CS_T1_ABILITY', 'KIND_ABILITY'),
    ('BBG_CHANDRA_CS_T2_ABILITY', 'KIND_ABILITY'),
    ('BBG_CHANDRA_CS_T3_ABILITY', 'KIND_ABILITY');
INSERT INTO TypeTags(Type, Tag) VALUES
    ('BBG_CHANDRA_MOVEMENT_ABILITY', 'CLASS_ALL_COMBAT_UNITS'),
    ('BBG_CHANDRA_SIGHT_ABILITY', 'CLASS_ALL_COMBAT_UNITS'),
    ('BBG_CHANDRA_CS_T1_ABILITY', 'CLASS_ALL_COMBAT_UNITS'),
    ('BBG_CHANDRA_CS_T2_ABILITY', 'CLASS_ALL_COMBAT_UNITS'),
    ('BBG_CHANDRA_CS_T3_ABILITY', 'CLASS_ALL_COMBAT_UNITS');
INSERT INTO UnitAbilities(UnitAbilityType, Name, Description, Inactive) VALUES
    ('BBG_CHANDRA_MOVEMENT_ABILITY', 'LOC_BBG_CHANDRA_MOVEMENT_ABILITY_NAME', 'LOC_BBG_CHANDRA_MOVEMENT_ABILITY_DESC', 1),
    ('BBG_CHANDRA_SIGHT_ABILITY', 'LOC_BBG_CHANDRA_SIGHT_ABILITY_NAME', 'LOC_BBG_CHANDRA_SIGHT_ABILITY_DESC', 1),
    ('BBG_CHANDRA_CS_T1_ABILITY', 'LOC_BBG_CHANDRA_CS_T1_ABILITY_NAME', 'LOC_BBG_CHANDRA_CS_T1_ABILITY_DESC', 1),
    ('BBG_CHANDRA_CS_T2_ABILITY', 'LOC_BBG_CHANDRA_CS_T2_ABILITY_NAME', 'LOC_BBG_CHANDRA_CS_T2_ABILITY_DESC', 1),
    ('BBG_CHANDRA_CS_T3_ABILITY', 'LOC_BBG_CHANDRA_CS_T3_ABILITY_NAME', 'LOC_BBG_CHANDRA_CS_T3_ABILITY_DESC', 1);
INSERT INTO UnitAbilityModifiers(UnitAbilityType, ModifierId) VALUES
    ('BBG_CHANDRA_MOVEMENT_ABILITY', 'BBG_CHANDRA_MOVEMENT_MODIFIER'),
    ('BBG_CHANDRA_SIGHT_ABILITY', 'BBG_CHANGRA_SIGHT_MODIFIER'),
    ('BBG_CHANDRA_CS_T1_ABILITY', 'BBG_CHANDRA_CS_T1_MODIFIER'),
    ('BBG_CHANDRA_CS_T2_ABILITY', 'BBG_CHANDRA_CS_T2_MODIFIER'),
    ('BBG_CHANDRA_CS_T3_ABILITY', 'BBG_CHANDRA_CS_T3_MODIFIER');
INSERT INTO Modifiers(ModifierId, ModifierType, Permanent, OwnerRequirementSetId) VALUES
    ('BBG_CHANDRA_GIVE_MOVEMENT_ABILITY', 'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS', 0, 'BBG_PLAYER_IS_CHANDRAGUPTA'),
    ('BBG_CHANDRA_MOVEMENT_MODIFIER', 'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT', 1, NULL),
    ('BBG_CHANDRA_GIVE_SIGHT_ABILITY', 'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS', 0, 'BBG_PLAYER_IS_CHANDRAGUPTA'),
    ('BBG_CHANGRA_SIGHT_MODIFIER', 'MODIFIER_PLAYER_UNIT_ADJUST_SIGHT', 1, NULL),
    ('BBG_CHANDRA_GIVE_CS_T1_ABILITY', 'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS', 0, 'BBG_PLAYER_IS_CHANDRAGUPTA'),
    ('BBG_CHANDRA_CS_T1_MODIFIER', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 1, NULL),
    ('BBG_CHANDRA_GIVE_CS_T2_ABILITY', 'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS', 0, 'BBG_PLAYER_IS_CHANDRAGUPTA'),
    ('BBG_CHANDRA_CS_T2_MODIFIER', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 1, NULL),
    ('BBG_CHANDRA_GIVE_CS_T3_ABILITY', 'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS', 0, 'BBG_PLAYER_IS_CHANDRAGUPTA'),
    ('BBG_CHANDRA_CS_T3_MODIFIER', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 1, NULL);
    
INSERT INTO ModifierArguments(ModifierId, Name, Value) VALUES
    ('BBG_CHANDRA_GIVE_MOVEMENT_ABILITY', 'AbilityType', 'BBG_CHANDRA_MOVEMENT_ABILITY'),
    ('BBG_CHANDRA_MOVEMENT_MODIFIER', 'Amount', '1'),
    ('BBG_CHANDRA_GIVE_SIGHT_ABILITY', 'AbilityType', 'BBG_CHANDRA_SIGHT_ABILITY'),
    ('BBG_CHANGRA_SIGHT_MODIFIER', 'Amount', '1'),
    ('BBG_CHANDRA_GIVE_CS_T1_ABILITY', 'AbilityType', 'BBG_CHANDRA_CS_T1_ABILITY'),
    ('BBG_CHANDRA_CS_T1_MODIFIER', 'Amount', '1'),
    ('BBG_CHANDRA_GIVE_CS_T2_ABILITY', 'AbilityType', 'BBG_CHANDRA_CS_T2_ABILITY'),
    ('BBG_CHANDRA_CS_T2_MODIFIER', 'Amount', '1'),
    ('BBG_CHANDRA_GIVE_CS_T3_ABILITY', 'AbilityType', 'BBG_CHANDRA_CS_T3_ABILITY'),
    ('BBG_CHANDRA_CS_T3_MODIFIER', 'Amount', '1');

INSERT INTO BuildingModifiers (BuildingType , ModifierId) VALUES
    ('BUILDING_SHRINE', 'BBG_CHANDRA_GIVE_MOVEMENT_ABILITY'),
    ('BUILDING_SHRINE', 'BBG_CHANDRA_GIVE_CS_T1_ABILITY'),
    ('BUILDING_TEMPLE', 'BBG_CHANDRA_GIVE_SIGHT_ABILITY'),
    ('BUILDING_TEMPLE', 'BBG_CHANDRA_GIVE_CS_T2_ABILITY'),
    ('BUILDING_CATHEDRAL', 'BBG_CHANDRA_GIVE_CS_T3_ABILITY'),
    ('BUILDING_GURDWARA', 'BBG_CHANDRA_GIVE_CS_T3_ABILITY'),
    ('BUILDING_MEETING_HOUSE', 'BBG_CHANDRA_GIVE_CS_T3_ABILITY'),
    ('BUILDING_MOSQUE', 'BBG_CHANDRA_GIVE_CS_T3_ABILITY'),
    ('BUILDING_PAGODA', 'BBG_CHANDRA_GIVE_CS_T3_ABILITY'),
    ('BUILDING_SYNAGOGUE', 'BBG_CHANDRA_GIVE_CS_T3_ABILITY'),
    ('BUILDING_WAT', 'BBG_CHANDRA_GIVE_CS_T3_ABILITY'),
    ('BUILDING_STUPA', 'BBG_CHANDRA_GIVE_CS_T3_ABILITY'),
    ('BUILDING_DAR_E_MEHR', 'BBG_CHANDRA_GIVE_CS_T3_ABILITY');

INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES
    ('BBG_CHANDRA_CS_T1_MODIFIER', 'Preview', 'LOC_BBG_CHANDRA_CS_T1_ABILITY_DESC'),
    ('BBG_CHANDRA_CS_T2_MODIFIER', 'Preview', 'LOC_BBG_CHANDRA_CS_T2_ABILITY_DESC'),
    ('BBG_CHANDRA_CS_T3_MODIFIER', 'Preview', 'LOC_BBG_CHANDRA_CS_T3_ABILITY_DESC');

-- 24/04/23 Can make corps/armies with T3 HS building
INSERT INTO Modifiers(ModifierId, ModifierType, OwnerRequirementSetId) VALUES
    ('BBG_CHANDRA_ARMIES_DISCOUNT', 'MODIFIER_CITY_CORPS_ARMY_ADJUST_DISCOUNT', 'BBG_PLAYER_IS_CHANDRAGUPTA');

INSERT INTO ModifierArguments(ModifierId, Name, Value) VALUES
    ('BBG_CHANDRA_ARMIES_DISCOUNT', 'UnitDomain', 'DOMAIN_LAND'),
    ('BBG_CHANDRA_ARMIES_DISCOUNT', 'Amount', '25');

INSERT INTO BuildingModifiers(BuildingType, ModifierId) VALUES
    ('BUILDING_CATHEDRAL', 'BBG_CHANDRA_ARMIES_DISCOUNT'),
    ('BUILDING_GURDWARA', 'BBG_CHANDRA_ARMIES_DISCOUNT'),
    ('BUILDING_MEETING_HOUSE', 'BBG_CHANDRA_ARMIES_DISCOUNT'),
    ('BUILDING_MOSQUE', 'BBG_CHANDRA_ARMIES_DISCOUNT'),
    ('BUILDING_PAGODA', 'BBG_CHANDRA_ARMIES_DISCOUNT'),
    ('BUILDING_SYNAGOGUE', 'BBG_CHANDRA_ARMIES_DISCOUNT'),
    ('BUILDING_WAT', 'BBG_CHANDRA_ARMIES_DISCOUNT'),
    ('BUILDING_STUPA', 'BBG_CHANDRA_ARMIES_DISCOUNT'),
    ('BUILDING_DAR_E_MEHR', 'BBG_CHANDRA_ARMIES_DISCOUNT');