
-- 23/04/2021 iElden: Implemented by Firaxis
--DELETE FROM ModifierArguments WHERE ModifierId='TRAIT_CULTURE_FROM_INTERNATIONAL_TRADE_ROUTES';
--INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
--    ('TRAIT_CULTURE_FROM_INTERNATIONAL_TRADE_ROUTES', 'YieldType', 'YIELD_CULTURE'),
--    ('TRAIT_CULTURE_FROM_INTERNATIONAL_TRADE_ROUTES', 'Amount', 2);
--
--DELETE FROM ModifierArguments WHERE ModifierId='TRAIT_CULTURE_FROM_INCOMING_TRADE_ROUTES';
--INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
--    ('TRAIT_CULTURE_FROM_INCOMING_TRADE_ROUTES', 'YieldType', 'YIELD_CULTURE'),
--    ('TRAIT_CULTURE_FROM_INCOMING_TRADE_ROUTES', 'Amount', 2);

INSERT INTO Modifiers(ModifierId, ModifierType) VALUES
    ('BBG_CULTURE_TO_INTERNATIONAL_TRADE_ROUTES', 'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_TO_OTHERS');
INSERT INTO ModifierArguments(ModifierId, Name, Value) VALUES
    ('BBG_CULTURE_TO_INTERNATIONAL_TRADE_ROUTES', 'YieldType', 'YIELD_CULTURE'),
    ('BBG_CULTURE_TO_INTERNATIONAL_TRADE_ROUTES', 'Amount', '1'),
    ('BBG_CULTURE_TO_INTERNATIONAL_TRADE_ROUTES', 'Domestic', '0');
INSERT INTO TraitModifiers(TraitType, ModifierId) VALUES
    ('TRAIT_RADIO_ORANJE', 'BBG_CULTURE_TO_INTERNATIONAL_TRADE_ROUTES');

UPDATE StartBiasRivers SET Tier=2 WHERE CivilizationType='CIVILIZATION_NETHERLANDS';
UPDATE StartBiasTerrains SET Tier=3 WHERE CivilizationType='CIVILIZATION_NETHERLANDS' AND TerrainType='TERRAIN_COAST';

-- Polder
INSERT INTO Adjacency_YieldChanges(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentImprovement, AdjacentDistrict, ObsoleteTech) VALUES
    ('BBG_POLDER_PRODUCTION_POLDER', 'Placeholder', 'YIELD_PRODUCTION', 1, 2, 'IMPROVEMENT_POLDER', NULL, 'TECH_REPLACEABLE_PARTS'),
    ('BBG_POLDER_PRODUCTION_HARBOR', 'Placeholder', 'YIELD_PRODUCTION', 1, 1, NULL, 'DISTRICT_HARBOR', NULL);
INSERT INTO Improvement_Adjacencies(ImprovementType, YieldChangeId) VALUES
    ('IMPROVEMENT_POLDER', 'BBG_POLDER_PRODUCTION_POLDER'),
    ('IMPROVEMENT_POLDER', 'BBG_POLDER_PRODUCTION_HARBOR');

--25/04/23 reduced to 1
UPDATE Improvements SET ValidAdjacentTerrainAmount=1 WHERE ImprovementType='IMPROVEMENT_POLDER';
UPDATE Units SET StrategicResource='RESOURCE_NITER' WHERE UnitType='UNIT_DE_ZEVEN_PROVINCIEN';

-- DELETE FROM StartBiasTerrains WHERE CivilizationType='CIVILIZATION_NETHERLANDS' AND TerrainType='TERRAIN_COAST';

--25/04/23 Polder to feudalism
UPDATE Improvements SET PrereqCivic='CIVIC_FEUDALISM' WHERE ImprovementType='IMPROVEMENT_POLDER';

-- 25/04/23 Polder gives +3 CS to netherlands
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
    ('TRAIT_RADIO_ORANJE', 'BBG_POLDER_DEFENSIVE_CS_ABILITY_GIVER');

INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_PLOT_HAS_POLDER_REQSET', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
    ('BBG_PLOT_HAS_POLDER_REQSET', 'BBG_REQUIRES_PLOT_HAS_POLDER');
INSERT INTO Requirements (RequirementId, RequirementType) VALUES
    ('BBG_REQUIRES_PLOT_HAS_POLDER', 'REQUIREMENT_PLOT_IMPROVEMENT_TYPE_MATCHES');
INSERT INTO RequirementArguments (RequirementId, Name, Value) VALUES
    ('BBG_REQUIRES_PLOT_HAS_POLDER', 'ImprovementType', 'IMPROVEMENT_POLDER');

-- Polder defensive cs for dutch units
INSERT INTO Types (Type, Kind) VALUES
    ('BBG_POLDER_DEFENSIVE_CS_ABILITY', 'KIND_ABILITY');
INSERT INTO TypeTags(Type, Tag) VALUES
    ('BBG_POLDER_DEFENSIVE_CS_ABILITY', 'CLASS_NAVAL_MELEE'),
    ('BBG_POLDER_DEFENSIVE_CS_ABILITY', 'CLASS_NAVAL_RANGED'),
    ('BBG_POLDER_DEFENSIVE_CS_ABILITY', 'CLASS_NAVAL_RAIDER'),
    ('BBG_POLDER_DEFENSIVE_CS_ABILITY', 'CLASS_NAVAL_CARRIER');
INSERT INTO UnitAbilities(UnitAbilityType, Name, Description, Inactive) VALUES
    ('BBG_POLDER_DEFENSIVE_CS_ABILITY', 'LOC_BBG_POLDER_DEFENSIVE_CS', 'LOC_BBG_POLDER_DEFENSIVE_CS_DESC', 1);
INSERT INTO UnitAbilityModifiers(UnitAbilityType, ModifierId) VALUES
    ('BBG_POLDER_DEFENSIVE_CS_ABILITY', 'BBG_POLDER_DEFENSIVE_CS_MODIFIER');
INSERT INTO Modifiers(ModifierId, ModifierType, Permanent, SubjectRequirementSetId) VALUES
    ('BBG_POLDER_DEFENSIVE_CS_ABILITY_GIVER', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 0, NULL),
    ('BBG_POLDER_DEFENSIVE_CS_MODIFIER', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 0, 'BBG_PLOT_HAS_POLDER_REQSET');
INSERT INTO ModifierArguments(ModifierId, Name, Value) VALUES
    ('BBG_POLDER_DEFENSIVE_CS_ABILITY_GIVER', 'AbilityType', 'BBG_POLDER_DEFENSIVE_CS_ABILITY'),
    ('BBG_POLDER_DEFENSIVE_CS_MODIFIER', 'Amount', '3');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES
    ('BBG_POLDER_DEFENSIVE_CS_MODIFIER', 'Preview', 'LOC_BBG_POLDER_DEFENSIVE_CS_DESC');

-- 14/10/23 Admiral point per campus
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES
    ('BBG_WILHEL_ADMIRAL_POINT_WITH_CAMPUS', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', NULL),
    ('BBG_WILHEL_ADMIRAL_POINT_WITH_CAMPUS_MODIFIER', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 'DISTRICT_IS_CAMPUS');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
    ('BBG_WILHEL_ADMIRAL_POINT_WITH_CAMPUS', 'ModifierId', 'BBG_WILHEL_ADMIRAL_POINT_WITH_CAMPUS_MODIFIER'),
    ('BBG_WILHEL_ADMIRAL_POINT_WITH_CAMPUS_MODIFIER', 'GreatPersonClassType', 'GREAT_PERSON_CLASS_ADMIRAL'),
    ('BBG_WILHEL_ADMIRAL_POINT_WITH_CAMPUS_MODIFIER', 'Amount', '1');
INSERT INTO TraitModifiers (TraitType , ModifierId) VALUES
    ('TRAIT_RADIO_ORANJE' , 'BBG_WILHEL_ADMIRAL_POINT_WITH_CAMPUS');

UPDATE Improvements SET MovementChange=0 WHERE ImprovementType='IMPROVEMENT_POLDER';


--19/12/23 Naval support only from naval units (see Base/Units.sql)
INSERT INTO UnitAbilityModifiers(UnitAbilityType, ModifierId) VALUES
    ('BBG_ABILITY_SUPPORT_NAVAL_MELEE', 'BBG_ABILITY_SUPPORT_NAVAL_MELEE_UNIT_DE_ZEVEN_PROVINCIEN_MODIFIER');
INSERT INTO Modifiers(ModifierId, ModifierType, OwnerRequirementSetId, SubjectRequirementSetId) VALUES
    ('BBG_ABILITY_SUPPORT_NAVAL_MELEE_UNIT_DE_ZEVEN_PROVINCIEN_MODIFIER', 'GRANT_STRENGTH_PER_ADJACENT_UNIT_TYPE', 'BBG_UNIT_DE_ZEVEN_PROVINCIEN_IS_ADJACENT_AND_MILITARY_TRADITION_REQSET', 'BBG_UNIT_IS_DEFENDER_IN_MELEE');
INSERT INTO ModifierArguments(ModifierId, Name, Value) VALUES
    ('BBG_ABILITY_SUPPORT_NAVAL_MELEE_UNIT_DE_ZEVEN_PROVINCIEN_MODIFIER', 'Amount', '2');
INSERT INTO ModifierArguments(ModifierId, Name, Value) VALUES
    ('BBG_ABILITY_SUPPORT_NAVAL_MELEE_UNIT_DE_ZEVEN_PROVINCIEN_MODIFIER', 'UnitType', 'UNIT_DE_ZEVEN_PROVINCIEN');
INSERT INTO ModifierStrings(ModifierId, Context, Text) SELECT
    'BBG_ABILITY_SUPPORT_NAVAL_MELEE_UNIT_DE_ZEVEN_PROVINCIEN_MODIFIER', 'Preview', '{'||Units.Name||'} : +{CalculatedAmount}' From Units WHERE UnitType='UNIT_DE_ZEVEN_PROVINCIEN';
INSERT INTO Requirements (RequirementId, RequirementType) VALUES
    ('BBG_UNIT_DE_ZEVEN_PROVINCIEN_IS_ADJACENT_REQ', 'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TYPE_MATCHES');
INSERT INTO RequirementArguments (RequirementId, Name, Value) VALUES
    ('BBG_UNIT_DE_ZEVEN_PROVINCIEN_IS_ADJACENT_REQ', 'UnitType', 'UNIT_DE_ZEVEN_PROVINCIEN');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
    ('BBG_UNIT_DE_ZEVEN_PROVINCIEN_IS_ADJACENT_AND_MILITARY_TRADITION_REQSET', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
    ('BBG_UNIT_DE_ZEVEN_PROVINCIEN_IS_ADJACENT_AND_MILITARY_TRADITION_REQSET', 'BBG_UNIT_DE_ZEVEN_PROVINCIEN_IS_ADJACENT_REQ');
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
    ('BBG_UNIT_DE_ZEVEN_PROVINCIEN_IS_ADJACENT_AND_MILITARY_TRADITION_REQSET', 'BBG_UTILS_PLAYER_HAS_CIVIC_MILITARY_TRADITION_REQUIREMENT');